> For the complete documentation index, see [llms.txt](https://docs.elastiflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elastiflow.com/additional-resources-reference-articles/faq/config_udp_input.md).

# Configure the UDP Input

### QUESTION

How can NetObserv Flow’s flow port be changed?

### ANSWER

NetObserv Flow receives packets containing flow records using UDP. There are three configurable parameters:

| Parameter                                      | Description                                                                                                                                                    |
| ---------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| EF\_FLOW\_SERVER\_UDP\_PORT                    | The UDP port which NetObserv Flow listens to for Netflow/IPFIX/sFLOW packets                                                                                   |
| EF\_FLOW\_SERVER\_UDP\_IP                      | The IP address the UDP socket is bound to on NetObserv Flow                                                                                                    |
| EF\_FLOW\_SERVER\_UDP\_READ\_BUFFER\_MAX\_SIZE | The UDP receive buffer for the system. If this value exceeds the maximum allowed buffer size (`net.core.rmem_max` on Linux), the maximum allowed size is used. |

Refer to the [Configuration Reference](https://github.com/elastiflow/documentation/blob/main/docs/config_ref/flowcoll/input_udp/README.md) for additional details.

### REFERENCE

* [Netflow/IPFIX/sFlow (UDP) Input](https://github.com/elastiflow/documentation/blob/main/docs/config_ref/flowcoll/input_udp/README.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.elastiflow.com/additional-resources-reference-articles/faq/config_udp_input.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
